package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Set;

/**
 * 角色数据权限
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/8 15:54
 */
@Getter
@Setter
public class DataScopeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 角色ID
     */
    private String roleId;

    /**
     * 数据权限
     */
    private String dataScope;

    /**
     * 部门组（数据权限）
     */
    private Set<String> deptIds;


}
