package com.qiaoba.api.system.entity.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 用户登录对象
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/15 0015 上午 10:05
 */
@Data
public class LoginDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户名
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 验证码
     */
    private String code;

    /**
     * 唯一标识
     */
    private String uuid;

}
