package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 更改密码
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/10 14:03
 */
@Getter
@Setter
public class ResetPasswordDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户ID
     */
    private String userId;

    /**
     * 新密码
     */
    private String password;
}
