package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;

/**
 * 更改用户基础信息
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/19 13:46
 */
@Getter
@Setter
public class ResetUserBasicInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 姓名
     */
    private String nickname;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 邮箱号
     */
    private String email;

    /**
     * 性别
     */
    private String gender;

}
