package com.qiaoba.api.system.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Set;

/**
 * 用户
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/8 15:54
 */
@Getter
@Setter
public class SysUserDto implements Serializable {

    private static final long serialVersionUID = 1L;

    private String userId;

    private String nickname;

    private String deptId;

    private String phone;

    private String email;

    private String username;

    private String password;

    private String gender;

    private String status;

    private String remark;

    /**
     * 岗位组
     */
    private Set<String> postIds;

    /**
     * 角色组
     */
    private Set<String> roleIds;

}
