package com.qiaoba.api.system.entity.vo;

import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Set;

/**
 * 角色
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 16:50
 */
@Getter
@Setter
public class SysRoleDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 用户是否存在此角色标识 默认不存在
     */
    private boolean flag = false;

    /**
     * 菜单组
     */
    private Long[] menuIds;

    /**
     * 部门组（数据权限）
     */
    private Long[] deptIds;

    /**
     * 角色菜单权限
     */
    private Set<String> permissions;
}
