package com.qiaoba.api.system.service;

import org.springframework.security.core.userdetails.UserDetails;

/**
 * SysUserDetails 暴露接口
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/19 17:17
 */
public interface SysUserDetailsApiService {

    /**
     * 查询UserDetails 并缓存到Redis中
     *
     * @param username username
     * @return UserDetails
     */
    UserDetails toCache(String username);
}
