package com.qiaoba.common.database.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 动态数据源实体
 *
 * @author ailanyin
 * @version 1.0
 * @date 2023-04-24 21:47:48
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class DynamicDataSource {

    /**
     * 租户Code
     */
    private String tenantCode;

    /**
     * 数据库-url
     */
    private String url;

    /**
     * 数据库-username
     */
    private String username;

    /**
     * 数据库-password
     */
    private String password;

    /**
     * 数据库-驱动
     */
    private String driver;

}
