package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysRole;
import com.qiaoba.api.system.entity.param.SysRoleParam;
import com.qiaoba.api.system.service.SysRoleApiService;
import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;

/**
 * 角色管理 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 16:57
 */
public interface SysRoleService extends SysRoleApiService {

    /**
     * 分页查询角色列表
     *
     * @param param     param
     * @param pageQuery pageQuery
     * @return list
     */
    TableDataInfo<SysRole> selectPageList(SysRoleParam param, PageQuery pageQuery);
}
