package com.qiaoba.module.system.service.impl;

import com.qiaoba.api.system.entity.SysTenant;
import com.qiaoba.module.system.mapper.SysTenantMapper;
import com.qiaoba.module.system.service.SysTenantService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 租户管理 业务层实现
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-24 19:46:00
 */
@Service
@RequiredArgsConstructor
public class SysTenantServiceImpl implements SysTenantService {

    private final SysTenantMapper sysTenantMapper;

    @Override
    public int insert(SysTenant sysTenant) {
        return sysTenantMapper.insert(sysTenant);
    }

    @Override
    public int update(SysTenant sysTenant) {
        return sysTenantMapper.updateById(sysTenant);
    }
}
