package com.qiaoba.module.system.templates;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

/**
 * 用户导入模板
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/17 17:16
 */
@Data
public class SysUserImport {

    @Excel(name = "登录账号(*)", width = 20)
    private String username;

    @Excel(name = "账号密码(*)", width = 20)
    private String password;

    @Excel(name = "姓名(*)", width = 20)
    private String nickname;

    @Excel(name = "角色(*)", width = 20)
    private String role;

    @Excel(name = "部门", width = 20)
    private String deptId;

    @Excel(name = "岗位", width = 20)
    private String post;

    /**
     * addressList = true -> 下拉框
     */
    @Excel(name = "性别", replace = {"男_0", "女_1", "未知_2"}, addressList = true)
    private String gender;

    @Excel(name = "手机", width = 20)
    private String phone;

    @Excel(name = "邮箱", width = 20)
    private String email;

    @Excel(name = "状态(*)", replace = {"正常_1", "禁用_0"}, addressList = true)
    private String status;

}
