package com.qiaoba.api.file.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * 文件对外暴露接口
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 20:33:43
 */
public interface FileApiService {

    /**
     * 上传文件
     *
     * @param file file
     * @return url
     */
    String upload(MultipartFile file);

    /**
     * 删除文件
     *
     * @param path 路径
     * @return 结果
     */
    boolean delete(String path);
}
