package com.qiaoba.auth.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Configuration;

import java.util.List;

/**
 * 鉴权配置(白名单/XSS)
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/15 11:09
 */
@Configuration
@ConfigurationProperties(prefix = "qiaoba.auth")
@Data
@EnableConfigurationProperties
public class AuthConfigProperties {

    private List<String> whitelist;
}
