package com.qiaoba.common.base.constants;

/**
 * 菜单常量
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023-04-23 15:37:43
 */
public class MenuConstant {

    /**
     * 是否菜单外链（是）
     */
    public static final String YES_FRAME = "1";

    /**
     * 是否菜单外链（否）
     */
    public static final String NO_FRAME = "0";

    /**
     * 菜单类型（目录）
     */
    public static final String TYPE_DIR = "M";

    /**
     * 菜单类型（菜单）
     */
    public static final String TYPE_MENU = "C";

    /**
     * 菜单类型（按钮）
     */
    public static final String TYPE_BUTTON = "F";

    /**
     * Layout组件标识
     */
    public final static String LAYOUT = "Layout";

    /**
     * ParentView组件标识
     */
    public final static String PARENT_VIEW = "ParentView";

    /**
     * InnerLink组件标识
     */
    public final static String INNER_LINK = "InnerLink";

    /**
     * 不重定向
     */
    public final static String NO_REDIRECT = "noRedirect";
}
