package com.qiaoba.common.database.interceptors;

import com.baomidou.mybatisplus.extension.plugins.inner.InnerInterceptor;
import lombok.extern.slf4j.Slf4j;
import org.apache.ibatis.executor.statement.StatementHandler;

import java.sql.Connection;
import java.sql.SQLException;

@Slf4j
public class SchemaInterceptor implements InnerInterceptor {

    @Override
    public void beforePrepare(StatementHandler sh, Connection conn, Integer transactionTimeout) {
        String sql = "use `qiaoba-boot`;";
        try {
            conn.createStatement().execute(sql);
        } catch (SQLException e) {
            throw new RuntimeException(e);
        }

        InnerInterceptor.super.beforePrepare(sh, conn, transactionTimeout);
    }

}
