package com.qiaoba.common.database.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.stereotype.Component;

import java.util.List;


@Component
@ConfigurationProperties(prefix = "qiaoba.datasource")
@Data
@EnableConfigurationProperties
public class DefaultDataSourceProperties {

    private MasterInfo master;

    private List<SlaveInfo> slaves;
}
