package com.qiaoba.common.poi.model;

import lombok.Data;

import java.io.Serializable;

/**
 * Excel导出设置对象
 *
 * @author ailanyin
 * @version 1.0
 * @since 2021/10/25 0025 上午 9:15
 */
@Data
public class ExcelSetting implements Serializable {

    private static final long serialVersionUID = 1L;

    public static final String EXCEL_FIELD_SHOW_FLAG = "1";

    private Long id;

    private String className;

    private String fieldId;

    private String fieldName;

    private String width;

    private Integer sort;

    private String show;

    private String dateFormat;

    private String replace;

}
