package com.qiaoba.module.system.service;

import com.qiaoba.api.system.entity.SysPost;
import com.qiaoba.api.system.entity.param.SysPostParam;
import com.qiaoba.api.system.service.SysPostApiService;
import com.qiaoba.common.database.entity.PageQuery;
import com.qiaoba.common.database.entity.TableDataInfo;

/**
 * 岗位管理 服务层
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/5/6 16:57
 */
public interface SysPostService extends SysPostApiService {

    /**
     * 分页查询岗位列表
     *
     * @param param     param
     * @param pageQuery pageQuery
     * @return list
     */
    TableDataInfo<SysPost> selectPageList(SysPostParam param, PageQuery pageQuery);
}
